Austin Group Defect Tracker

Aardvark Mark IV


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0001030 [1003.1(2013)/Issue7+TC1] Base Definitions and Headers Editorial Clarification Requested 2016-03-03 20:32 2019-10-23 09:39
Reporter Guy Harris View Status public  
Assigned To
Priority normal Resolution Accepted As Marked  
Status Applied  
Name Guy Harris
Organization
User Reference
Section Environment Variables (section 8)
Page Number 179-180
Line Number 5756-5816
Interp Status Approved
Final Accepted Text see Note: 0003511
Summary 0001030: The Single UNIX Specification says nothing about TZ environment variable settings without alternative time start or end
Description The specification for the TZ environment variable allows the "rule" portion to be omitted; however, it doesn't indicate when changes to or from alternative time take place if the "rule" portion is omitted.
Desired Action Have the specification either:

1) explicitly indicate that the dates and times of the transitions to and from alternative time are undefined if the "rule" portion is omitted;

2) explicitly indicate that the dates and times of the transitions to and from alternative time are implementation-defined if the "rule" portion is omitted;

3) explicitly indicate what transition dates and times are used if the "rule" portion is omitted.
Tags tc3-2008
Attached Files

- Relationships
related to 0001253Applied 1003.1(2016)/Issue7+TC2 clarify that "alternative time" means tm_isdst is positive 

-  Notes
(0003511)
rhansen (manager)
2016-12-08 17:30

Interpretation response
------------------------
The standard does not speak to this issue, and as such no conformance distinction can be made between alternative implementations based on this. This is being referred to the sponsor.

Rationale:
-------------
If the "rule" field is not included in TZ, implementations are required to determine when the switches between standard and alternative time happen but were not required to document when the transitions occur. Applications would benefit from knowing when those transitions occur. Specifying the transition times in the standard is not believed to be practical due to the continual changes to time zones by legislative bodies and the potential differences in existing implementations.

Notes to the Editor (not part of this interpretation):
-------------------------------------------------------
On page 180 after line 5947 (XBD 8.3 TC), insert a new paragraph:
If the dst field is specified and the rule field is not, it is implementation-defined when the changes to and from the alternative time occur.

On page 3539 after line 12001 (XRAT A.8.3 TC), insert a new paragraph:
Implementations are encouraged to use the time zone database maintained by IANA to determine when daylight savings time changes occur and to handle TZ values that start with a <colon>. See RFC 6557.
(0003514)
ajosey (manager)
2016-12-15 18:07

Interpretation proposed: 15 Dec 2016
(0003544)
ajosey (manager)
2017-01-18 15:21

Interpretation Approved: 18 Jan 2017
(0004627)
geoffclare (manager)
2019-10-23 09:39

Applied but with editorial wording differences in line with bug 0001253

- Issue History
Date Modified Username Field Change
2016-03-03 20:32 Guy Harris New Issue
2016-03-03 20:32 Guy Harris Name => Guy Harris
2016-03-03 20:32 Guy Harris Section => Environment Variables (section 8)
2016-03-03 20:32 Guy Harris Page Number => Unknown (I don't have a printed or PDF version of the spec)
2016-03-03 20:32 Guy Harris Line Number => Unknown (I don't have a printed or PDF version of the spec)
2016-03-03 20:56 Don Cragun Page Number Unknown (I don't have a printed or PDF version of the spec) => 179-180
2016-03-03 20:56 Don Cragun Line Number Unknown (I don't have a printed or PDF version of the spec) => 5756-5816
2016-03-03 20:56 Don Cragun Interp Status => ---
2016-12-08 17:30 rhansen Note Added: 0003511
2016-12-08 17:34 rhansen Final Accepted Text => see Note: 0003511
2016-12-08 17:34 rhansen Status New => Interpretation Required
2016-12-08 17:34 rhansen Resolution Open => Accepted As Marked
2016-12-08 17:34 rhansen Tag Attached: tc3-2008
2016-12-09 09:44 geoffclare Interp Status --- => Pending
2016-12-15 18:07 ajosey Interp Status Pending => Proposed
2016-12-15 18:07 ajosey Note Added: 0003514
2017-01-18 15:21 ajosey Interp Status Proposed => Approved
2017-01-18 15:21 ajosey Note Added: 0003544
2019-10-23 09:39 geoffclare Note Added: 0004627
2019-10-23 09:39 geoffclare Status Interpretation Required => Applied
2019-10-23 09:39 geoffclare Relationship added related to 0001253


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker